Пожалуйста, включите JavaScript для просмотра этого сайта.

Документация CloudLinux

Русский
Английский

Навигация: Установка

Установка на сервере H-Sphere

Для H-сферы 3.5 +

[Обратите внимание, что CageFS и PHP Selector не поддерживаются для H-Sphere]

Требования

1. CloudLinux с liblve 0.8 или более поздней версией.

2. Apache 2.2.x или 1.3.

3. mod_suexec должен быть включен.

Для достижения оптимальной производительности мы рекомендуем конвертировать из mod_fastcgi в mod_fcgid

Установка CloudLinux Enhancement

Нет необходимости устанавливать mod_hostinglimits - он встроен в H-Sphere. Как только вы загрузите ядро ​​из CloudLinux с помощью liblve 0.8 или более поздней версии, он будет включен.

Вы можете проверить, включено ли LVE, запустив:

$ ps aux | grep httpd | grep DLIBLVE

Если вы не видите выхода, это означает, что Apache не выбрал LVE. Попробуйте проверить файл /hsphere/shared/scripts/apache-get-env.sh

Должны быть следующие строки:

if [-e /usr/lib64/liblve.so.0 -o -e /usr/lib/liblve.so.0]; тогда
APENV_DSSL = "$ APENV_DSSL -DLIBLVE"
fi

Если эти строки отсутствуют, вы должны добавить их после:

еще
APENV_DSSL = '- DSSL'
fi
###

и до:

# это используется модулем apacheGetEnv.pm perl
if ["$ 1" = 'show']; тогда
набор | egrep "^ APENV_"
fi

строки. Перезапустите Apache.

* не забывайте конвертировать из mod_fastcgi в mod_fcgid